Bug 449782 - firefox remembers nothing...
firefox remembers nothing...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
9
x86_64 Linux
high Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 11:18 EDT by Don Zickus
Modified: 2009-04-03 06:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-03 06:24:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 478189 None None None Never

  None (edit)
Description Don Zickus 2008-06-03 11:18:12 EDT
Description of problem:

For some reason firefox has lost the ability to remember anything it does.

- the back buttons are never highlighted after traversing pages
- i save and quit and then restore session -> to an empty browser
- no bookmarks
- typing in common sites are not displayed in drop down menu

luckily cookies seem to work otherwise i couldn't enter this bz.

I checked the ./mozilla/firefox/.. directory and files and the timestamps seem
to get updated to the current date.  So firefox has write permission to the
directory (though my home directory is nfs-mounted).

Version-Release number of selected component (if applicable):

firefox-3.0-0.60.beta5.fc9.x86_64

How reproducible:
very
Comment 1 Matěj Cepl 2008-06-09 01:38:00 EDT
There was some issue with SELinux and profile directory. Please upgrade to the
latest versions of update-testing (or at least updates) and confirm whether you
can still reproduce this, please?
Comment 2 Don Zickus 2008-06-09 09:24:29 EDT
I temporarily moved my default profile to default.bk and restarted firefox to
give me a new default profile and that seemed to fix the problem (I just lost
all my personal info).  When I go in for work tomorrow I will try your suggestion.
Comment 3 Don Zickus 2008-06-10 13:58:15 EDT
so I updated selinux-policy\* to 3.3.1-64.fc9 (there wasn't any firefox in
updates-testing).  Then I did the following:

#<killed firefox>
#mv .mozilla .mozilla.new
#mv .mozilla.bk .mozilla
#firefox

And still had the same issues.  In fact the normal fedora homepage didn't even
show up.  Was there other packages I needed to update from updates-testing too?
Comment 4 Matěj Cepl 2008-06-10 18:01:25 EDT
try running the same test (with moving .mozilla directories around), but in the
end (before running firefox) run

/sbin/restorecon -v -R ~/.mozilla

and rerun firefox.

Does it help?
Comment 5 Matěj Cepl 2008-07-17 19:05:33 EDT
Reporter, are you able to reproduce this issue with the current update of
firefox (and doing what I asked you to do in the comment 4)?
Comment 6 David Nalley 2008-08-23 23:08:53 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.
Comment 7 Jeff Moyer 2008-08-29 08:44:27 EDT
I just ran into this problem.  My home directory is on NFS, so I can't set any selinux labels:

/sbin/restorecon set context /home/boston/jmoyer/.mozilla/firefox/54mynjvo.default/sessionstore.bak->system_u:object_r:user_home_t:s0 failed:'Operation not supported'

# rpm -q firefox
firefox-3.0.1-1.fc9.x86_64
# rpm -q selinux-policy
selinux-policy-3.3.1-79.fc9.noarch
Comment 8 Orion Poplawski 2009-03-23 11:05:08 EDT
I've seen this happen now to two of our users.  Seems to happen after some kind of crash.  NFS home dirs here too.  Had to restore firefox profile from backup to recover.

firefox-3.0.7-1.fc10.x86_64
Comment 9 Orion Poplawski 2009-03-23 11:36:03 EDT
Some upstream bugs:

https://bugzilla.mozilla.org/show_bug.cgi?id=436737
https://bugzilla.mozilla.org/show_bug.cgi?id=478189

basically looks like a sqlite/NFS issue.
Comment 10 Matěj Cepl 2009-04-03 06:24:29 EDT
We believe that it is more appropriate to let this bug be resolved upstream (https://bugzilla.mozilla.org/show_bug.cgi?id=478189).

Red Hat will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.